import sys
import flsysc

class stdout_hook:
 softspace = 0
 def write(self, message):
   flsysc.FL_StdOutMessage(message)

class stderr_hook:
 softspace = 0
 def write(self, message):
   flsysc.FL_StdErrMessage(message)

sys.stderr = stderr_hook()
sys.stdout = stdout_hook()

fl_quit = 'Stop button pressed'

def my_trace(frame, event, arg):
  if flsysc.FL_DebugTrace(frame.f_lineno) == 0:
    raise fl_quit
  return my_trace

sys.settrace(my_trace)
